com.collabnet.ce.soap60.webservices.taskmgr

## Class TaskAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.taskmgr.TaskAppSoapStub

- All Implemented Interfaces:
    ITaskAppSoap

      public class TaskAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements ITaskAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskSoapDO` | `createTask(String sessionId, String taskGroupId, String title, String description, int priority, String userAssignedTo, String status, Date startDate, Date endDate, int estimatedHours, int requiredHours, boolean includeWeekends)` Creates a new task with the specified information.
    `void` | `createTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Creates a task dependency.
    `TaskGroupSoapDO` | `createTaskGroup(String sessionId, String parentId, String title, String description)` Creates a new task group.
    `void` | `deleteTask(String sessionId, String taskId)` Deletes a task.
    `void` | `deleteTaskDependency(String sessionId, String originTaskId, String targetTaskId)` Deletes a task dependency.
    `void` | `deleteTaskGroup(String sessionId, String taskGroupId)` Deletes a task group.
    `TaskSoapList` | `findTasks(String sessionId, String queryString, String projectId, boolean searchAttachments)` Finds a list of tasks matching a search string.
    `TaskSoapList` | `getPredecessorTaskList(String sessionId, String targetTaskId)` Returns a list of tasks on which the task is dependent ("predecessors").
    `TaskSoapList` | `getSuccessorTaskList(String sessionId, String originTaskId)` Returns a list of tasks which are dependent on the task ("successors").
    `TaskSoapDO` | `getTaskData(String sessionId, String taskId)` Returns data associated with the specified task.
    `TaskGroupSoapDO` | `getTaskGroupData(String sessionId, String taskGroupId)` Returns data associated with the specified task group.
    `TaskGroupSoapList` | `getTaskGroupList(String sessionId, String parentId)` Returns a list of task groups for a project (in the correct order).
    `TaskSoapList` | `getTaskList(String sessionId, String containerId, com.collabnet.ce.soap60.types.SoapFilter[] filters)` Returns a filtered list of tasks within a given project or task group.
    `boolean` | `hasTasksWithPendingChanges(String sessionId, String taskGroupId)` Returns true if a folder has any items with pending changes under it.
    `TaskSoapDO` | `moveTask(String sessionId, String taskId, String targetTaskGroupId)` Moves a task.
    `TaskGroupSoapDO` | `moveTaskGroup(String sessionId, String taskGroupId, String targetTaskGroupId)` Moves a task group.
    `TaskGroupSoapDO` | `renameTaskGroup(String sessionId, String taskGroupId, String newTitle)` Renames a task group.
    `void` | `reorderTaskGroups(String sessionId, String parentFolderId, String[] taskGroupIds)` Sets a new order for the task groups (folders) in a parent folder.
    `void` | `setTaskData(String sessionId, TaskSoapDO taskData, String comment)` Returns data associated with the specified task.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskAppSoapStub

          public TaskAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### getTaskGroupList

          public TaskGroupSoapList getTaskGroupList(String sessionId,
                                                    String parentId)
                                             throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns a list of task groups for a project (in the correct order).
      Specified by:
        `getTaskGroupList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent task group id -or- project id for listing top-level task groups.
      Returns:
        List of task groups within the project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### reorderTaskGroups

          public void reorderTaskGroups(String sessionId,
                                        String parentFolderId,
                                        String[] taskGroupIds)
                                 throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Sets a new order for the task groups (folders) in a parent folder. The task groups will be listed in this new order in UI.
      Specified by:
        `reorderTaskGroups` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentFolderId` - the id of the parent folder
        `taskGroupIds` - an array of task group ids in their new order
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### createTaskGroup

          public TaskGroupSoapDO createTaskGroup(String sessionId,
                                                 String parentId,
                                                 String title,
                                                 String description)
                                          throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Creates a new task group.
      Specified by:
        `createTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `parentId` - Parent task group id -or- project id under which to create the new task group.
        `title` - Task group title.
        `description` - Task group description.
      Returns:
        Newly created task group object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the a task group with the specified title already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument value is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### deleteTaskGroup

          public void deleteTaskGroup(String sessionId,
                                      String taskGroupId)
                               throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Deletes a task group.
      Specified by:
        `deleteTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getTaskList

          public TaskSoapList getTaskList(String sessionId,
                                          String containerId,
                                          com.collabnet.ce.soap60.types.SoapFilter[] filters)
                                   throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns a filtered list of tasks within a given project or task group.
      Change History
      Version 4.2
      - Added additional parameter (`filters`) for filtering task lists.
      Specified by:
        `getTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `containerId` - Project or task group id.
        `filters` - Task list filters (null will return all tasks within the container).
      Returns:
        Filtered list of tasks within the project or task group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.InvalidFilterFault` - when the specified filters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### findTasks

          public TaskSoapList findTasks(String sessionId,
                                        String queryString,
                                        String projectId,
                                        boolean searchAttachments)
                                 throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Finds a list of tasks matching a search string.
      Specified by:
        `findTasks` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `queryString` - Query string.
        `projectId` - The project in which to find tasks. (if null, search all projects)
        `searchAttachments` - Whether to search attachments.
      Returns:
        List of tasks matching search criteria.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified project id is invalid.
        `com.collabnet.ce.soap60.fault.SearchQuerySyntaxFault` - when the specified search query string is syntactically invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the specified query string is invalid.
        `RemoteException`

    - #### getTaskGroupData

          public TaskGroupSoapDO getTaskGroupData(String sessionId,
                                                  String taskGroupId)
                                           throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns data associated with the specified task group.
      Specified by:
        `getTaskGroupData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id
      Returns:
        the task group data associated with the task at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### renameTaskGroup

          public TaskGroupSoapDO renameTaskGroup(String sessionId,
                                                 String taskGroupId,
                                                 String newTitle)
                                          throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Renames a task group.
      Specified by:
        `renameTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id
        `newTitle` - the new title for the task group
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when task group data is stale.
        `RemoteException`

    - #### moveTaskGroup

          public TaskGroupSoapDO moveTaskGroup(String sessionId,
                                               String taskGroupId,
                                               String targetTaskGroupId)
                                        throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Moves a task group.
      Specified by:
        `moveTaskGroup` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - The id of the task group to move.
        `targetTaskGroupId` - the id of the target group.
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - on an illegal destination path
        `RemoteException`

    - #### getTaskData

          public TaskSoapDO getTaskData(String sessionId,
                                        String taskId)
                                 throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns data associated with the specified task.
      Specified by:
        `getTaskData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - Task path.
      Returns:
        the task data associated with the task at the given path
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### setTaskData

          public void setTaskData(String sessionId,
                                  TaskSoapDO taskData,
                                  String comment)
                           throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns data associated with the specified task.
      Version 4.2
      - TaskSoapDO has a new member field (`includeWeekends`).
      Specified by:
        `setTaskData` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskData` - Task data to set.
        `comment` - Comment on the changes, if any.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - when task data is stale.
        `com.collabnet.ce.soap60.fault.PendingChangesConflictFault` - when this operation conflicts with pending changes.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when an argument value is invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### createTask

          public TaskSoapDO createTask(String sessionId,
                                       String taskGroupId,
                                       String title,
                                       String description,
                                       int priority,
                                       String userAssignedTo,
                                       String status,
                                       Date startDate,
                                       Date endDate,
                                       int estimatedHours,
                                       int requiredHours,
                                       boolean includeWeekends)
                                throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Creates a new task with the specified information.
      Version 4.2
      - New parameter (`includeWeekends`) added.
      Specified by:
        `createTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User's session id.
        `taskGroupId` - Task group id.
        `title` - Task title.
        `description` - Task description.
        `priority` - Task priority (see TaskSoapDO for more details).
        `userAssignedTo` - User task is assigned to.
        `status` - Task status (see TaskSoapDO for more details).
        `startDate` - Task start date.
        `endDate` - Task end date.
        `estimatedHours` - Estimated time in hours.
        `requiredHours` - Required time in hours.
        `includeWeekends` - Whether weekends should be included in date ranges
      Returns:
        Task object.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - when or more of the specified parameters are invalid.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`
      See Also:
        `TaskSoapDO`

    - #### deleteTask

          public void deleteTask(String sessionId,
                                 String taskId)
                          throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Deletes a task.
      Specified by:
        `deleteTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - Task id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### moveTask

          public TaskSoapDO moveTask(String sessionId,
                                     String taskId,
                                     String targetTaskGroupId)
                              throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Moves a task.
      Specified by:
        `moveTask` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskId` - The id of the task to move.
        `targetTaskGroupId` - the id of the target group.
      Returns:
        the task group data for the updated group.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when a task with the same name already exists in the target group.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if the destination path is not valid
        `RemoteException`

    - #### createTaskDependency

          public void createTaskDependency(String sessionId,
                                           String originTaskId,
                                           String targetTaskId)
                                    throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Creates a task dependency.
      Specified by:
        `createTaskDependency` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
        `targetTaskId` - Target task ID
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### deleteTaskDependency

          public void deleteTaskDependency(String sessionId,
                                           String originTaskId,
                                           String targetTaskId)
                                    throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Deletes a task dependency.
      Specified by:
        `deleteTaskDependency` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
        `targetTaskId` - Target task ID
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getPredecessorTaskList

          public TaskSoapList getPredecessorTaskList(String sessionId,
                                                     String targetTaskId)
                                              throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns a list of tasks on which the task is dependent ("predecessors").
      NOTE: Replaces listPredecessorTasks() in 4.1.
      Specified by:
        `getPredecessorTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `targetTaskId` - Target task ID
      Returns:
        List of predecessor tasks
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### hasTasksWithPendingChanges

          public boolean hasTasksWithPendingChanges(String sessionId,
                                                    String taskGroupId)
                                             throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns true if a folder has any items with pending changes under it.
      Specified by:
        `hasTasksWithPendingChanges` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `taskGroupId` - Task group id.
      Returns:
        true if a folder has any items with pending changes under it, false otherwise
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

    - #### getSuccessorTaskList

          public TaskSoapList getSuccessorTaskList(String sessionId,
                                                   String originTaskId)
                                            throws RemoteException

      Description copied from interface: `ITaskAppSoap`
      Returns a list of tasks which are dependent on the task ("successors").
      NOTE: Replaces listSuccessorTasks() in 4.1.
      Specified by:
        `getSuccessorTaskList` in interface `ITaskAppSoap`
      Parameters:
        `sessionId` - User session id.
        `originTaskId` - Origin task ID
      Returns:
        List of successor tasks
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id(s) is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchRelationshipFault` - when there's no dependency between tasks.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system level error occurs.
        `RemoteException`

Copyright © 2020 CollabNet. All rights reserved.